import 'package:fis_jsonrpc/rpc.dart';

import 'base.dart';

abstract class IContractManager implements IManager {
  Future<String?> createContractRecordAsync(
      CreateContractRecordRequest request);

  Future<PageCollection<ContractRecordDTO>?>
      getContractRecordPageByPatientCodeAsync(String patientCode);

  Future<PageCollection<ContractRecordDTO>?> getContractRecordPageAsync();

  Future<ContractRecordDTO?> getContractRecordDetailAsync(String patientCode);
}
